using System;
using System.Runtime.InteropServices;

namespace CM2
{
	[InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
	[Guid("164E31E4-CD60-4E78-A0A4-CD28178B1899")]
	public interface ICM2AutoUpdate
	{
		// If you don't support auto update, then return an empty string or
		// don't support the ICM2AutoUpdate interface
		void UpdateFileURL([MarshalAs(UnmanagedType.LPStr)] out string url);
	}
}
